<script setup lang="ts">
import type { NuxtError } from '#app'

const props = defineProps<{
  error: Partial<NuxtError>
}>()

const appConfig = useAppConfig()
const errorStack = ref('')

if (import.meta.dev && props.error.stack)
  errorStack.value = props.error.stack

useSeoMeta({
  titleTemplate: (title) => [title, appConfig.title].filter(Boolean).join(' - '),
  title: '查無頁面',
})
</script>

<template>
  <NaiveThemeProvider>
    <div v-if="errorStack" class="min-h-screen flex flex-col items-center justify-center gap-8 p-8 dark:bg-dark">
      <NAlert
        class="w-full max-w-screen-xl"
        type="error"
        :title="props.error.statusMessage || `Error: ${props.error.statusCode}`"
      >
        <div class="flex flex-col gap-4 py-4">
          <p>
            {{ props.error.message }}
          </p>
          <div class="opacity-50" v-html="errorStack"></div>
        </div>
      </NAlert>
    </div>
    <PageNotFound v-else />
  </NaiveThemeProvider>
</template>
